windows-join-domain
=========

Joins a Windows computer to a domain.
- Sets DNS resolution to the DC
- Join the domain
- Restart after joining

Requirements
------------
- {{ win_joindomain_dc_ip }} must be running a DNS server that can resolve {{ win_joindomain_domain }}

Role Variables
--------------
Variables used:
- win_joindomain_team_password
- win_joindomain_dc_ip
- win_joindomain_domain
- win_joindomain_netbios

Dependencies
------------
windows-standards

Example Playbook
----------------
- hosts: <LIST_OF_DOMAIN_CLIENTS>
  roles:
      - windows-standards
      - windows-join-domain

License
-------

Apache-2.0

Author Information
------------------

This role was created by [Connor Shade](https://github.com/cnnrshd) for ISTS.
Modified by [Connor Leavesley](https://github.com/clev98) in 2020 for ISTS 2021.